#include <stdio.h>
#include <string.h>

int exNum(char *buff1, char *buff2, double *v1, double *v2);

int main () {
  
  char ch;

  char buff1[100];
  char buff2[100];
  
  double *x1;
  double *x2;

  double *y1;
  double *y2;
  
  printf("V1 = "); 
  scanf("%s", buff1);
  
  printf("\nV2 = "); 
  scanf("%s", buff2);
  
  /* int i; */
  /* if (buff[0] == '-') */
  /*   i = 1; */
  /* else  */


  /*   i = 0; */
  printf("'buff1: %s'\n", buff1);
  printf("'buff2: %s'\n", buff2);
  printf("%f\n", atof(buff1));
  exNum(buff1, buff2, x1, x2);
  printf("%f\n", *x1);
}
  int exNum(char *buff1, char *buff2, double *v1, double *v2 )
  {
    int i = 0;
    char ch;

    while ((ch = getchar()) != ' ')
      {
	buff1[i] = ch;
	i++;
      }
    i = 0;
    while ((ch = getchar()) != '\n')
      {
	buff2[i] = ch;
	i++;
      }
    
    *v1 = atof(buff1);
    printf("%f\n", *v1);
    //*v2 = atof(buff2);

    return 0;
  }
    
    
    
      
  
  
  
